<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 10/19/2003 *
 * ================                             Last change: 10/19/2003 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-                                            *
 * -------------------------------------------------------------------- *
 * Short description :                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif ((!EXT_IS_ACTIVE("wernis")) && (!IS_ADMIN())) {
	ADD_FATAL(EXTENSION_PROBLEM_EXT_INACTIVE, "wernis");
	return;
}

// Special file
require_once(PATH."inc/rdf.class.php");

// Add description as navigation point
ADD_DESCR("guest", __FILE__);

OUTPUT_HTML("<DIV style=\"padding-left: 10px; padding-right: 10px\">");
$rdf = new fase4_rdf;
$rdf->use_dynamic_display(false);
$rdf->set_CacheDir(PATH."inc/cache/");
$rdf->set_salt(SITE_KEY);
$rdf->set_max_item(10);
$rdf->set_Options(
	array(
		'textinput' => "hidden",
		'sitelink'  => "http://www.wds66.com",
		'refid'     => bigintval(getConfig('wernis_refid')),
		'reflink'   => "/ref.php?refid=",
	)
);

// Use proxy?
if ((getConfig('proxy_host') != "") && (getConfig('proxy_port') > 0)) {
	// Set proxy data
	$rdf->set_proxy(getConfig('proxy_host'), getConfig('proxy_port'));

	// Use auth?
	if (getConfig('proxy_username') != "") {
		// Set auth data
		$rdf->set_proxy_auth(getConfig('proxy_username'), getConfig('proxy_password'));
	} // END  - if
} // END - if

$rdf->parse_RDF("http://www.wds66.com/rss.xml");
$rdf->finish();
// DISABLED: $rdf->clear_cache();
OUTPUT_HTML("</DIV>");

//
?>
