<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 12/16/2008 *
 * ===============                              Last change: 12/16/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : theme-dummy.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Dummy functions for theme manager                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Platzhalter-Funktionen fuer Theme-Manager        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
} elseif (EXT_IS_ACTIVE("theme")) {
	// Abort loading here
	ADD_FATAL(sprintf(FATAL_EXTENSION_LOADED, "theme"));
	return;
}

// Dummy getter for current theme
function GET_CURR_THEME () {
	return "default";
}

//
?>
